Name:           Xdialog
Version:        2.3.1
Release:        %mkrel 14
Summary:        A replacement for the cdialog program for X
License:        GPL
Group:          Development/Other
URL:            http://xdialog.dyns.net/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         Xdialog-2.2.1-fix-str-fmt.patch
Patch1:		Xdialog-2.3.1-po.patch
Patch2:         Xdialog-2.3.1-autoreconf.patch
Patch3:		Xdialog-autoconf.patch
BuildRequires:  bison
BuildRequires:  gtk+2-devel
BuildRequires:  glib2-devel
BuildRequires:  autoconf2.5
Provides:	xmsg-dialog

%description
Xdialog is designed to be a drop in replacement for the cdialog program.
It converts any terminal based program into a program with an X-windows
interface. The dialogs are easier to see and use and the treeview adds an
extra dimension to the way menus can be displayed.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

%build
autoreconf -fi
automake --add-missing --copy
%configure --with-gtk2

# don't strip (retarded crap!)
find -type f -name "Makefile" | xargs perl -pi -e "s|^INSTALL_STRIP_PROGRAM.*|INSTALL_STRIP_PROGRAM = \"\\\${SHELL} \\\$\(install_sh\) -c\"|g"
find -type f -name "Makefile" | xargs perl -pi -e "s|INSTALL_STRIP_FLAG=-s|INSTALL_STRIP_FLAG=|g" 
find -type f -name "Makefile" | xargs perl -pi -e "s|-Wall -s|-Wall|g" 

%make_build

%install
%makeinstall docdir=%{buildroot}%{_docdir}/%{name}

%find_lang xdialog

%files -f xdialog.lang
%doc ChangeLog COPYING samples
%doc %{_docdir}/%{name}/
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Sun Sep 08 2024 wally <wally> 2.3.1-14.mga10
+ Revision: 2093943
+ rebuild (emptylog)

* Sat Mar 26 2022 umeabot <umeabot> 2.3.1-14.mga9
+ Revision: 1828384
- Mageia 9 Mass Rebuild

* Tue Nov 03 2020 wally <wally> 2.3.1-13.mga8
+ Revision: 1642454
- fix build with autoconf 2.69d

* Fri Feb 14 2020 umeabot <umeabot> 2.3.1-12.mga8
+ Revision: 1518615
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.3.1-11.mga7
+ Revision: 1301837
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 2.3.1-10.mga7
+ Revision: 1234479
- fix build on aarch64
+ pterjan <pterjan>
- Fix breakage from find_lang update script
- Fix for new find_lang

* Fri Feb 12 2016 umeabot <umeabot> 2.3.1-8.mga6
+ Revision: 959212
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 neoclust <neoclust> 2.3.1-7.mga6
+ Revision: 892046
- Package more docs

* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-6.mga5
+ Revision: 744162
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.1-5.mga5
+ Revision: 677663
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 pterjan <pterjan> 2.3.1-4.mga5
+ Revision: 634371
- Add missing Language header in po files

* Fri Oct 18 2013 umeabot <umeabot> 2.3.1-4.mga4
+ Revision: 502428
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.3.1-3.mga3
+ Revision: 345155
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 2.3.1-2.mga2
+ Revision: 150247
- tighten br

* Fri Jun 10 2011 obgr_seneca <obgr_seneca> 2.3.1-1.mga2
+ Revision: 103136
- new version 2.3.1
- imported package Xdialog

